function [WSPRfreq] = convToWSPRfreq(freq,freqoffset,char)
% convert to WSPR frequency
% PA0SIM July 2021

if char==1
    WSPRfreq=str2double((freq));
else
    WSPRfreq=freq;
end

WSPRfreq=WSPRfreq+freqoffset*1e-6;

WSPRfreq=WSPRfreq-floor(WSPRfreq);
WSPRfreq=1000*WSPRfreq;
WSPRfreq=WSPRfreq-floor(WSPRfreq);
WSPRfreq=WSPRfreq*1000;

