function [data_filteredA, data_filteredB]=filterLoc(dataA, dataB, wids, location)
% filters data according location
% PA0SIM July 2021

len=size(dataA,1);
startLoc=sum(wids(1,1:5));
indLoc=startLoc+(1:wids(1,6));
if ~isempty(location)
    validLI=zeros(len,1); % valid location indices
    for k=1:len
        loc=dataA(k,indLoc);
        if loc==location
            validLI(k,:)=1;
        end
    end
    data_filteredA=dataA(logical(validLI~=0),:);
    data_filteredB=dataB(logical(validLI~=0),:);
else
    data_filteredA=dataA;
    data_filteredB=dataB;
end

end